package request


type AlibabaWdkShopQueryRequest struct {
    /*
        如果不传，返回所有     */
    OuCode  *string `json:"ou_code,omitempty" required:"false" `
}

func (s *AlibabaWdkShopQueryRequest) SetOuCode(v string) *AlibabaWdkShopQueryRequest {
    s.OuCode = &v
    return s
}

func (req *AlibabaWdkShopQueryRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.OuCode != nil) {
        paramMap["ou_code"] = *req.OuCode
    }
    return paramMap
}

func (req *AlibabaWdkShopQueryRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}